#!/bin/sh
echo '
###############################################################
###############################################################
###############################################################
############ Dusal Mongolian Phonetic keyboard ################
######### layout installer for Ubuntu 9.04 and 9.10 ###########
####### This script is free and without any warranty! #########
########### You can edit, copy, and use it free ###############
####################### WWW.DUSAL.NET #########################
########################## by Almas ###########################
###############################################################
###############################################################
       If you want to install please click 1 and enter
             Click 3 to quit without install
###############################################################
###############################################################
'
OPTIONS="Install Uninstall Quit"
           select opt in $OPTIONS; do
               if [ "$opt" = "Quit" ]; then
                echo "
########################
     Not installed.
########################
"
                exit
		elif [ "$opt" = "Uninstall" ]; then
			if [ -e /usr/share/X11/xkb/rules/evdev.xml.bak ]; then
				rm /usr/share/X11/xkb/rules/evdev.xml
				mv /usr/share/X11/xkb/rules/evdev.xml.bak /usr/share/X11/xkb/rules/evdev.xml
				if [ -e /etc/X11/xkb/base.xml.bak ]; then
				rm /etc/X11/xkb/base.xml
				mv /etc/X11/xkb/base.xml.bak /etc/X11/xkb/base.xml
				fi
				if [ -e /usr/share/X11/xkb/symbols/mn.bak ]; then
				rm /usr/share/X11/xkb/symbols/mn
				mv /usr/share/X11/xkb/symbols/mn.bak /usr/share/X11/xkb/symbols/mn
				fi
			else
			echo "
####################################
There isn't anything to uninstall!
####################################"
			fi

			
		echo "
###############################################################
If there isn't any errors then successfully uninstalled. :-)

PS: If there is a permission error please use with sudo.
Example: $ sudo sh setup.sh
###############################################################

"
		exit
               elif [ "$opt" = "Install" ]; then
				re_match='<iso639Id>mng<\/iso639Id>'
re_match2='<variantList\/>'
		replace='<variantList>\
        <variant>\
          <configItem>\
            <name>mongolian qwerty<\/name>\
            <description>Mongolian QWERTY<\/description>\
          <\/configItem>\
        <\/variant>\
      <\/variantList>'
	mv /usr/share/X11/xkb/rules/evdev.xml /usr/share/X11/xkb/rules/evdev.xml.bak
	mv /etc/X11/xkb/base.xml /etc/X11/xkb/base.xml.bak
	cat /usr/share/X11/xkb/rules/evdev.xml.bak | sed "r/$re_match" | sed -e "s/$re_match2/$replace/g">/usr/share/X11/xkb/rules/evdev.xml
	cat /etc/X11/xkb/base.xml.bak | sed "r/$re_match" | sed -e "s/$re_match2/$replace/g">/etc/X11/xkb/base.xml

cp /usr/share/X11/xkb/symbols/mn /usr/share/X11/xkb/symbols/mn.bak
echo -n '

// edited on: 2007/12/30
// Included Mongolian qwerty keyboard
// Author "Almas Atman" <almas@dusal.net>
// www.dusal.net
// 2009/05/23 edited phonetic (qwerty)

partial alphanumeric_keys
xkb_symbols "mongolian_qwerty" {

  name[Group1]= "Mongolian QWERTY";

  key <TLDE> { [ Cyrillic_shcha,   Cyrillic_SHCHA,  	degree          ] };
  key <AE01> { [ 1,                exclam,        	multiply        ] };
  key <AE02> { [ 2,                at,                  division        ] };
  key <AE03> { [ 3,     	   numerosign,		plusminus       ] };
  key <AE04> { [ 4, 		   U20ae,      		rightdoublequotemark] };
  key <AE05> { [ 5,                percent,		NoSymbol       	] };
  key <AE06> { [ 6, 		   asciicircum,         notequal        ] };
  key <AE07> { [ 7,		   ampersand,           ampersand    	] };
  key <AE08> { [ 8,		   asterisk,            asterisk        ] };
  key <AE09> { [ 9,                parenleft,          	bracketleft     ] };
  key <AE10> { [ 0,                parenright,      	bracketright   	] };
  key <AE11> { [ Cyrillic_sha,     Cyrillic_SHA,       	X               ] };
  key <AE12> { [ Cyrillic_hardsign, Cyrillic_HARDSIGN, 	L       	] };

  key <AD01> { [ Cyrillic_o_bar,    Cyrillic_O_bar,     apostrophe      ] };
  key <AD02> { [ Cyrillic_ie,       Cyrillic_IE,        grave           ] };
  key <AD03> { [ Cyrillic_e,        Cyrillic_E,        	EuroSign        ] };
  key <AD04> { [ Cyrillic_er,       Cyrillic_ER,      	registered      ] };
  key <AD05> { [ Cyrillic_te,       Cyrillic_TE,        trademark       ] };
  key <AD06> { [ Cyrillic_yu,       Cyrillic_YU,       	yen             ] };
  key <AD07> { [ Cyrillic_u,        Cyrillic_U,      	doublelowquotemark   ] };
  key <AD08> { [ Cyrillic_i,        Cyrillic_I,      	leftdoublequotemark  ] };
  key <AD09> { [ Cyrillic_o,        Cyrillic_O,		rightdoublequotemark] };
  key <AD10> { [ Cyrillic_pe,       Cyrillic_PE,      	NoSymbol        ] };
  key <AD11> { [ Cyrillic_ya,       Cyrillic_YA,      	braceleft       ] };
  key <AD12> { [ Cyrillic_io,       Cyrillic_IO, 	braceright      ] };

  key <AC01> { [ Cyrillic_a,        Cyrillic_A,   	mu              ] };
  key <AC02> { [ Cyrillic_es,       Cyrillic_ES,     	sterling        ] };
  key <AC03> { [ Cyrillic_de,       Cyrillic_DE,       	dollar          ] };
  key <AC04> { [ Cyrillic_yeru,     Cyrillic_YERU,      rightdoublequotemark ] };
  key <AC05> { [ Cyrillic_ghe,      Cyrillic_GHE,      	Cyrillic_yeru   ] };
  key <AC06> { [ Cyrillic_ha,       Cyrillic_HA,       	Cyrillic_YERU   ] };
  key <AC07> { [ Cyrillic_zhe,      Cyrillic_ZHE,       Cyrillic_e      ] };
  key <AC08> { [ Cyrillic_ka,       Cyrillic_KA,       	Cyrillic_E      ] };
  key <AC09> { [ Cyrillic_el,       Cyrillic_EL,       	numerosign      ] };
  key <AC10> { [ Cyrillic_shorti,   Cyrillic_SHORTI,    section         ] };
  key <AC11> { [ Cyrillic_softsign, Cyrillic_SOFTSIGN,  ellipsis        ] };
  key <BKSL> { [ Cyrillic_ef,       Cyrillic_EF,	bar             ] };

  key <AB01> { [ Cyrillic_ze,       Cyrillic_ZE,       	emdash          ] };
  key <AB02> { [ Cyrillic_che,      Cyrillic_CHE,      	endash          ] };
  key <AB03> { [ Cyrillic_tse,      Cyrillic_TSE,       copyright       ] };
  key <AB04> { [ Cyrillic_ve,       Cyrillic_VE,       	NoSymbol        ] };
  key <AB05> { [ Cyrillic_be,       Cyrillic_BE,       	NoSymbol        ] };
  key <AB06> { [ Cyrillic_en,       Cyrillic_EN,        less            ] };
  key <AB07> { [ Cyrillic_em,       Cyrillic_EM,       	greater         ] };
  key <AB08> { [ comma,    	    minus,  		guillemotleft   ] };
  key <AB09> { [ period, 	    question,		guillemotright  ] };
  key <AB10> { [ Cyrillic_u_straight,Cyrillic_U_straight,slash,		    question,       	backslash       ] };

  // End alphanumeric section

  key <SPCE> { [ space,             space,             	nobreakspace    ] };

  include "level3(ralt_switch)"
};'>>/usr/share/X11/xkb/symbols/mn

echo "
################################################################
If there isn't an any error now you can configure keyboards:

1. System>Preferences>Keyboard>Layouts and click Add.
2. Then choose Country>Mongolia and Variants>Phonetic.
3. Click Add and choose USA to default
4. Click Layout options and choose shortcut to change layouts.
5. Close
6. Right click on blank space of top bar and click Add to Panel. 
7. Find Keyboard indicator and add.
8. Enjoy! :-)

PS: If there is a permission error please use command with sudo.
Example: $ sudo sh setup.sh
################################################################

"



exit
               else
                clear
                echo bad option
               fi
           done

